Package org.jboss.logmanager.handlers

## Class OutputStreamHandler

- java.lang.Object
- - java.util.logging.Handler
  - - org.jboss.logmanager.ExtHandler
    - - org.jboss.logmanager.handlers.WriterHandler
      - - org.jboss.logmanager.handlers.OutputStreamHandler

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`, `FlushableCloseable`, `Protectable`

Direct Known Subclasses:
  `ConsoleHandler`, `FileHandler`

    public class OutputStreamHandler
    extends WriterHandler

An output stream handler which supports any `OutputStream`, using the specified encoding. If no encoding is specified, the platform default is used.

### Field Summary

### Fields inherited from class org.jboss.logmanager.handlers.WriterHandler

`outputLock`

### Fields inherited from class org.jboss.logmanager.ExtHandler

`handlers, handlersUpdater`

### Constructor Summary

Constructors
`OutputStreamHandler()` Construct a new instance with no formatter.
`OutputStreamHandler​(java.io.OutputStream outputStream, java.util.logging.Formatter formatter)` Construct a new instance.
`OutputStreamHandler​(java.util.logging.Formatter formatter)` Construct a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getEncoding()` Get the target encoding.
`void` `setEncoding​(java.lang.String encoding)` Set the target encoding.
`void` `setOutputStream​(java.io.OutputStream outputStream)` Set the output stream to write to.
`void` `setWriter​(java.io.Writer writer)` Set the writer.

### Methods inherited from class org.jboss.logmanager.handlers.WriterHandler

`close, doPublish, flush, preWrite, safeClose`

### Methods inherited from class org.jboss.logmanager.ExtHandler

`addHandler, checkAccess, checkAccess, clearHandlers, disableAccess, enableAccess, getHandlers, isAutoFlush, isCallerCalculationRequired, isCloseChildren, isEnabled, protect, publish, publish, removeHandler, setAutoFlush, setCloseChildren, setEnabled, setErrorManager, setFilter, setFormatter, setHandlers, setLevel, unprotect`

### Methods inherited from class java.util.logging.Handler

`getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OutputStreamHandler

    public OutputStreamHandler()

Construct a new instance with no formatter.

#### OutputStreamHandler

    public OutputStreamHandler​(java.util.logging.Formatter formatter)

Construct a new instance.

Parameters:
  `formatter` - the formatter to use

#### OutputStreamHandler

    public OutputStreamHandler​(java.io.OutputStream outputStream,
                               java.util.logging.Formatter formatter)

Construct a new instance.

Parameters:
  `outputStream` - the output stream to use
  `formatter` - the formatter to use

### Method Detail

#### getEncoding

    public java.lang.String getEncoding()

Get the target encoding.

Overrides:
  `getEncoding` in class `java.util.logging.Handler`
Returns:
  the target encoding, or `null` if the platform default is being used

#### setEncoding

    public void setEncoding​(java.lang.String encoding)
                     throws java.lang.SecurityException,
                            java.io.UnsupportedEncodingException

Set the target encoding.

Overrides:
  `setEncoding` in class `ExtHandler`
Parameters:
  `encoding` - the new encoding
Throws:
  `java.lang.SecurityException` - if you do not have sufficient permission to invoke this operation
  `java.io.UnsupportedEncodingException` - if the specified encoding is not supported

#### setWriter

    public void setWriter​(java.io.Writer writer)

Set the writer. The writer will then belong to this handler; when the handler is closed or a new writer is set, this writer will be closed. Setting a writer will replace any target output stream.

Overrides:
  `setWriter` in class `WriterHandler`
Parameters:
  `writer` - the new writer, or `null` to disable logging

#### setOutputStream

    public void setOutputStream​(java.io.OutputStream outputStream)

Set the output stream to write to. The output stream will then belong to this handler; when the handler is closed or a new writer or output stream is set, this output stream will be closed.

Parameters:
  `outputStream` - the new output stream or `null` for none